// Core component styles
const coreStyles = {
    container: {
        display: 'flex',
        flexDirection: 'column',
        border: '1px solid black',
        padding: '1rem',
        borderRadius: '0.5rem',
        backgroundColor: '#ccc',
        margin: '0.5rem',
        alignItems: 'center',
        cursor: 'pointer',
    },

    icon: {
        width: '75px',
        height: '75px',
    },

    text: {
        textAlign: 'center',
    },
};

/**
 * Helper method to get the styles for the component
 * @param {Object} contextStyles - Context styles for the Component
 */
const getStyles = (contextStyles) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        icon: {
            ...coreStyles.icon,
            ...contextStyles.icon,
        },

        text: {
            ...coreStyles.text,
            ...contextStyles.text,
        },
    };
};

export default getStyles;
